DROP DATABASE adminbcm_dns;
DROP USER dnsadmin;
CREATE USER dnsadmin PASSWORD 'dnsadmin';
CREATE DATABASE adminbcm_dns;
GRANT ALL ON DATABASE adminbcm_dns TO dnsadmin;
\c adminbcm_dns;
DROP TABLE params;
CREATE TABLE params (NOMBRE varchar(100) NOT NULL, VALOR varchar(255) NOT NULL, PRIMARY KEY(NOMBRE));
ALTER TABLE params OWNER TO dnsadmin;
DROP TABLE dnsdata_pgdb_net;
CREATE TABLE dnsdata_pgdb_net (NAME TEXT, TTL INTEGER, RDTYPE TEXT, RDATA TEXT, PRIMARY KEY(NAME,RDTYPE,RDATA));
ALTER TABLE dnsdata_pgdb_net OWNER TO dnsadmin;
GRANT ALL ON dnsdata_pgdb_net TO dnsadmin;
BEGIN;
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('pgdb.net', 3600, 'SOA', 'localhost. root.localhost. 1 10800 3600 604800 3600');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('pgdb.net', 3600, 'NS', 'localhost.');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host1.pgdb.net', 3600, 'A', '192.168.2.1');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host2.pgdb.net', 3600, 'A', '192.168.2.2');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host3.pgdb.net', 3600, 'A', '192.168.2.3');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host4.pgdb.net', 3600, 'A', '192.168.2.4');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host5.pgdb.net', 3600, 'A', '192.168.2.5');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host6.pgdb.net', 3600, 'A', '192.168.2.6');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('host7.pgdb.net', 3600, 'A', '192.168.2.7');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('mail.pgdb.net', 3600, 'A', '192.168.5.121');
INSERT INTO dnsdata_pgdb_net (NAME, TTL, RDTYPE, RDATA) VALUES ('pgdb.net', 3600, 'MX', '10 mail.pgdb.net');
COMMIT TRANSACTION;
